[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageExpirations;
    localvar={
	.headers="\u4e3b\u673a\u540d";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="\u5931\u6548\u7b56\u7565";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="\u7b56\u7565";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .group.type.label="\u5bf9\u4e8e\u6b64\u7ec4\u7c7b\u578b";
  .group.patternmatch.label="\u5e26\u6709\u7ec4\u5339\u914d";
  .title.edit = "\u7f16\u8f91\u81ea\u5b9a\u4e49\u5931\u6548\u7b56\u7565";
};

content=
[
  { /* Group Type / pattern matching  */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* Group Type */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.type.label;
            id=grouptype;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Group Type Combo Box */
            ctrl=choice;
            items=["\u4efb\u4f55","\u6709\u4e2d\u4ecb\u53c2\u52a0\u7684","\u65e0\u4e2d\u4ecb\u53c2\u52a0\u7684"];
            aligny=0.5;
            label=hostname;
            val=$type;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* Pattern Match */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.patternmatch.label;
            id=grouptype;
            label=hostname;
          }, /* End patter match label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Pattern match text box */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$pattern;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u9075\u5faa\u5931\u6548\u62a5\u5934\u3002";
        showborder=false;
        val=$obey;
        content=[
          {
            ctrl=pane;
            layout=[xbox];
            content=[
              {
                ctrl=rigid;
                dimension=[8,5];
              },
              {
                ctrl=label;
                text="\u4fdd\u7559\u65e0\u5931\u6548\u62a5\u5934\u7684\u6587\u7ae0\u7684\u5929\u6570:";
                aligny=0.5;
              },
              {
                ctrl=text;
                aligny=0.5;
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u91cd\u8bbe\u5931\u6548\u62a5\u5934\u3002";
        showborder=false;
        val=$override;
        content=[
          {
            ctrl=pane;
            layout=[ybox];
            content=[
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="\u4fdd\u7559\u6587\u7ae0\u7684\u6700\u77ed\u5929\u6570:";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="\u4fdd\u7559\u6587\u7ae0\u7684\u6700\u957f\u5929\u6570:";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u6587\u7ae0\u6c38\u4e0d\u5931\u6548\u3002";
        showborder=false;
        val=$never;
      }
    ]
  }
]; /* network panel contents */
}, /* network panel spec */
{ /* Default expiration dialog */

blockid=defaultDialog;

localvar =
{
  .group.type.label="\u4fdd\u7559\u5386\u53f2\u8bb0\u5f55\u7684\u5929\u6570:";
  .title.default = "\u7f16\u8f91\u9ed8\u8ba4\u5931\u6548\u7b56\u7565";
};

content=
[
  { /* Group Type / pattern matching  */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          {
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.type.label;
            id=grouptype;
            label=hostname;
          },
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Days to remember history */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$history;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u9075\u5faa\u5931\u6548\u62a5\u5934\u3002";
        showborder=false;
        val=$obey;
        content=[
          {
            ctrl=pane;
            layout=[xbox];
            content=[
              {
                ctrl=rigid;
                dimension=[8,5];
              },
              {
                ctrl=label;
                text="\u4fdd\u7559\u65e0\u5931\u6548\u62a5\u5934\u7684\u6587\u7ae0\u7684\u5929\u6570:";
                aligny=0.5;
              },
              {
                ctrl=text;
                aligny=0.5;
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u91cd\u8bbe\u5931\u6548\u62a5\u5934\u3002";
        showborder=false;
        val=$override;
        content=[
          {
            ctrl=pane;
            layout=[ybox];
            content=[
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="\u4fdd\u7559\u6587\u7ae0\u7684\u6700\u77ed\u5929\u6570:";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="\u4fdd\u7559\u6587\u7ae0\u7684\u6700\u957f\u5929\u6570:";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u6587\u7ae0\u6c38\u4e0d\u5931\u6548\u3002";
        showborder=false;
        val=$never;
      }
    ]
  }
];
}

]
